import { ListTypeNode, NamedTypeNode, NonNullTypeNode } from 'graphql/language/ast';
import { FlowResolversPluginConfig } from './index';
import { GraphQLSchema } from 'graphql';
import { ParsedResolversConfig, BaseResolversVisitor } from 'graphql-codegen-visitor-plugin-common';
export interface ParsedFlorResolversConfig extends ParsedResolversConfig {
}
export declare class FlowResolversVisitor extends BaseResolversVisitor<FlowResolversPluginConfig, ParsedFlorResolversConfig> {
    constructor(pluginConfig: FlowResolversPluginConfig, schema: GraphQLSchema);
    protected formatRootResolver(schemaTypeName: string, resolverType: string): string;
    protected buildMapperImport(source: string, types: string[]): string;
    ListType(node: ListTypeNode): string;
    NamedType(node: NamedTypeNode): string;
    NonNullType(node: NonNullTypeNode): string;
}
